.custom_form{
  margin-top: 120px;
  .forms__agree_wrap{
    width: 100% !important;
    display: flex;
    flex-wrap: wrap;
    margin-top: 70px;
    a{
      margin: 0px 4px;
    }
    p{
      width: 50%;
    }
  }
  textarea{
    height: 165px;
  }
  select {
    appearance: none !important;
    -webkit-appearance: none !important;
    -moz-appearance: none !important;
    background-image: url('../gaming/img/arrow.svg') !important;
    background-repeat: no-repeat !important;
    background-position: right 40px center !important;
    background-size: 20px !important;
    padding-right: 47px !important; /* odsunięcie tekstu od strzałki */
}

  .submit_custom_form{
    width: 100% !important;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }
  .wpcf7-spinner{
    display: none;
  }
  .submit_custom_form input{
    line-height: 38px !important;
    margin-top: 100px;
    padding: 0px 40px !important;
  }
.b2b_form_wrap .forms__agree{
  width: 48% !important;
  display: inline-block;
  display: flex !important;
  flex-wrap: wrap;
  align-items: center;
  color: var(--Disabled, #B5B5B5);
text-align: right;
font-family: Nunito;
font-size: 12px !important;
font-style: normal;
font-weight: 500;
line-height: 16px; /* 133.333% */
a{
  color: var(--Contrary, #FFF);
font-family: Nunito;
font-size: 12px;
font-style: normal;
font-weight: 500;
line-height: 16px;
text-decoration-line: underline;
text-decoration-style: solid;
text-decoration-skip-ink: auto;
text-decoration-thickness: auto;
text-underline-offset: auto;
text-underline-position: from-font;
}
  label{
    display: flex !important;
    flex-wrap: wrap;
    align-items: center;
    gap: 5px;
  }
  input{
    width: 22px !important;
height: 22px !important;
flex-shrink: 0;
padding: unset !important;
min-height: unset !important;
  }
}
  .form_heading{
    color: var(--White, #FFF);
text-align: center;
font-feature-settings: 'liga' off, 'clig' off;
font-family: Nunito;
font-size: 48px;
font-style: normal;
font-weight: 800;
line-height: 120%; /* 57.6px */
margin-bottom: 34px;
  }
  .form_text{
    color: #FFF;
text-align: center;
font-feature-settings: 'liga' off, 'clig' off;
font-family: Nunito;
font-size: 24px;
font-style: normal;
font-weight: 500;
line-height: 32px; /* 133.333% */
margin-bottom: 62px;
  }
}

.b2b_form_wrap form {
    display: flex;
    flex-wrap: wrap;
    max-width: 800px;
    margin: 0 auto;
    p{
      width: 48%;
      margin: 1%;
    }
    .textarea {
      width: 100%;
    }
    h2{width: 100%;}
  }
  .wpcf7-character-count{
    display: none;
  }
  .b2b_form_wrap h2 {
    grid-column: 1 / -1;
    text-align: center;
    margin-bottom: 117px;
  }
  
  .b2b_form_wrap p.textarea,
  .b2b_form_wrap p.forms__agree,
  .b2b_form_wrap p input[type="submit"],
  .b2b_form_wrap .wpcf7-response-output {
    grid-column: 1 / -1;
  }
  
  @media (max-width: 768px) {
    .b2b_form_wrap form {
      grid-template-columns: 1fr;
    }
  }
  
  .b2b_form_wrap{
    border-radius: 16px;
border: 1px solid #727272;
opacity: 0.8;
background: linear-gradient(142deg, #222 21.76%, #000 64.89%);
max-width: 1320px;
margin: 0 auto;
form{
    max-width: 1100px;
    padding: 100px 0px;
    margin: 0 auto;
    input,
    textarea {
      border: none !important;
      box-shadow: none !important;
      outline: none !important;
      background-color: #ccc; /* lub własny kolor tła */
    }
 
    input::placeholder,textarea::placeholder {
    border: 2px solid #222 !important;
    padding: unset !important;
    }
    input::placeholder {
      color: #888; /* opcjonalnie: kolor placeholdera */
      padding-top: unset !important;border: 0px;
      box-shadow: unset;outline: unset;
      background-color: unset;
    }
    
    input {
      /* appearance: none;
      -webkit-appearance: none;
      -moz-appearance: none; */
    }
    

    input,select, textarea{
        border-radius: 18.499px;
background: #222;
box-shadow: 0px 0.482px 7.226px 0px rgba(0, 0, 0, 0.10);min-height: 102px;
width: 100%;
color: #FFF;
font-family: Nunito;
font-size: 24px;
font-style: normal;
font-weight: 500;
line-height: normal;
letter-spacing: 0.12px;
padding: 33px 48px 33px 27px;
box-shadow: unset;outline: unset;
border: 1px solid rgb(128 128 128 / 8%) !important;
    }
select{
  padding-left: 23px;
}

    select{
      color: var(--Tertiary, #AAA);
font-family: Nunito;
font-size: 14px;
font-style: normal;
font-weight: 500;
line-height: 16px; /* 114.286% */
    }
    input::placeholder,select::placeholder, textarea::placeholder{
      color:  #AAA !important;
      font-family: Nunito;
      font-size: 14px;
      font-style: normal;
      font-weight: 500;
      line-height: 16px; /* 114.286% */
      padding-left: 33px  !important;            border: 1px solid #8080801f;
    }
    .floating-label{
      color:  #AAA !important;
      font-family: Nunito;
      font-size: 14px;
      font-style: normal;
      font-weight: 500;
      line-height: 16px; /* 114.286% */
      padding-left: 23px  !important;
    }
    .textarea {
      br{
        display: none;
      }
    }
}
.forms__agree{color: var(--Tertiary, #AAA);
  font-family: Nunito;
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: 16px; /* 114.286% */
  input{
    border-radius: 4px;
background: #222;width: 22px;
height: 22px;
flex-shrink: 0;
a{
  color: var(--Tertiary, #AAA);
font-family: Nunito;
font-size: 14px;
font-style: normal;
font-weight: 500;
line-height: 16px; /* 114.286% */
}
  }
}
.wpcf7-submit {
  border-radius: 64px;
background: #22E243;width: 251px;
height: 56px;
padding: 20px 32px;
justify-content: center;
align-items: center;
gap: 10px;
flex-shrink: 0;color: var(--Black, #000);
text-align: center;
leading-trim: both;
text-edge: cap;
font-family: Nunito;
font-size: 16px;
font-style: normal;
font-weight: 500;
line-height: normal !important;
text-transform: uppercase;
min-height: unset;

}
  }

@media (max-width:768px){
  .custom_form{
    padding: 0px 24px;
    .form_heading{
      color:  #FFF;
    text-align: center;
    font-family: Nunito;
    font-size:  24px;
    font-style: normal;
    font-weight: 700;
    line-height:  32px; br{
      display: none;
    }
    }
    .form_text{
      color: #FFF;
text-align: center;
font-family: Nunito;
font-size:  14px;
font-weight: 400;
line-height:  18px;
br{
  display: none;
}

    }
    .b2b_form_wrap{
      background: unset !important;
      border: unset;
    }
    form{
      padding: 0px;
      h2{
        margin: 0px;
        margin-bottom: 34px;
      }
      p{
        width: 100% !important;
        margin-bottom: 32px;
      }
      input, select, textarea {
        height: 64px;
        padding:24px 33px !important;
        min-height: unset;
      }
      textarea{
        height: 120px;
      }
      .forms__agree_wrap{
        margin-top: unset;
        display: block;
        .forms__agree{
          width: 100% !important;
        }
      }
      .submit_custom_form input{
        margin-top: 20px;
      }
    }
  }
}